1. Bridge Management
Glow Metering
  • Glow Metering
    • Meter Installation
    • Meter Commissioning
    • Glow Monitor
      • Navigating Glow Monitor
        • Dashboard
        • Bridges
        • Sites
        • Account & Profile
    • API Documentation
      • Authentication
        • Obtain Access Token
      • Bridge Management
        • Retrieve Bridge List
          GET
      • Data Retrieval
        • Retrieve Regular (Billable) Data
        • Retrieve Irregular Readings
  1. Bridge Management

Retrieve Bridge List

Developing
GET
https://meterapi.glowmarkt.com/api/v0-1/head-end/asset/list
Use the obtained access_token to authenticate API requests. Replace ************** with your actual access token.
The below API will return the list of bridges (assets). For each bridge a MAC address will be available in the assetHardwareTags array. This can be used in subsequent requests.

Request

Query Params

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://meterapi.glowmarkt.com/api/v0-1/head-end/asset/list?page=1&limit=10&sortBy=createdAt&sortOrder=DESC' \
--header 'Authorization: Bearer **************'
Response Response Example
{
    "data": [
        {
            "id": "465",
            "assetId": "0195dc33-296d-7990-8ed6-59519714b326",
            "state": "allocated",
            "distributorId": "225749714014857509",
            "organizationId": "377093601542301988",
            "distributedAt": null,
            "allocatedAt": "2026-07-07T12:35:36.000Z",
            "createdBy": "308097831959292197",
            "createdAt": "2025-03-28T10:01:35.000Z",
            "updateBy": "378854033441450276",
            "updatedAt": "2026-07-22T12:00:38.000Z",
            "deletedBy": null,
            "deletedAt": null,
            "assetType": {
                "id": "9",
                "assetTypeId": "0195d843-4178-7990-8eca-d40279d30ac0",
                "reference": "GlowBridge-DTSD_UNKNOWN",
                "hardwareTypeVersion": "HOLLEY_ESP32_01",
                "category": "comms",
                "global": true,
                "createdBy": null,
                "createdAt": "2025-03-27T15:40:41.000Z",
                "updateBy": null,
                "updatedAt": "2025-03-27T15:40:41.000Z",
                "deletedBy": null,
                "deletedAt": null
            },
            "assetHardwareTags": [
                {
                    "id": "1365",
                    "createdAt": "2025-03-28T10:01:35.347Z",
                    "deletedBy": null,
                    "deletedAt": null,
                    "hardwareTag": {
                        "id": "1363",
                        "name": "MAC",
                        "value": "A842E3264F30"
                    }
                },
                {
                    "id": "1366",
                    "createdAt": "2025-03-28T10:01:35.350Z",
                    "deletedBy": null,
                    "deletedAt": null,
                    "hardwareTag": {
                        "id": "1364",
                        "name": "serialNumber",
                        "value": "94400010100680"
                    }
                },
                {
                    "id": "8813",
                    "createdAt": "2026-03-30T14:14:53.000Z",
                    "deletedBy": null,
                    "deletedAt": null,
                    "hardwareTag": {
                        "id": "8648",
                        "name": "ICCID",
                        "value": "8988228066607967744"
                    }
                },
                {
                    "id": "8814",
                    "createdAt": "2026-03-30T14:14:53.000Z",
                    "deletedBy": null,
                    "deletedAt": null,
                    "hardwareTag": {
                        "id": "8649",
                        "name": "IMSI",
                        "value": "901405107967744\r"
                    }
                }
            ],
            "hardwareType": {
                "id": "1",
                "hardwareTypeId": "0193b5eb-4055-766e-b0f2-418427f37cf2",
                "hardwareType": "HOLLEY_ESP32",
                "hardwareTypeVersion": "01",
                "fullHardwareVersion": "HOLLEY_ESP32_01"
            },
            "assetDistributionTags": [],
            "assetConfigs": [],
            "assetSites": [
                {
                    "id": "492",
                    "createdAt": "2026-07-07T12:38:18.145Z",
                    "createdBy": "377094442936461604",
                    "deletedBy": null,
                    "deletedAt": null,
                    "site": {
                        "id": "425",
                        "siteId": "019f3c95-2122-7332-8363-8570df12344c",
                        "organizationId": "377093601542301988",
                        "label": "1",
                        "reference": "assetMeter1",
                        "locationReference": "hildebrandOffice",
                        "geoLocation": null,
                        "defaultAccountNo": "1",
                        "parentSiteId": null,
                        "childSiteId": null,
                        "createdBy": "377094442936461604",
                        "createdAt": "2026-07-07T12:37:14.000Z",
                        "updateBy": null,
                        "updatedAt": null,
                        "deletedBy": null,
                        "deletedAt": null,
                        "siteAccounts": [
                            {
                                "id": "153",
                                "createdAt": "2026-07-07T12:38:24.318Z",
                                "createdBy": "377094442936461604",
                                "deletedBy": null,
                                "deletedAt": null,
                                "account": {
                                    "id": "150",
                                    "accountId": "019f3c96-32e0-7332-8363-8b3c685c50f4",
                                    "organizationId": "377093601542301988",
                                    "accountNo": "593",
                                    "createdBy": "377094442936461604",
                                    "createdAt": "2026-07-07T12:38:24.000Z",
                                    "updateBy": null,
                                    "updatedAt": null,
                                    "deletedBy": null,
                                    "deletedAt": null
                                }
                            }
                        ]
                    }
                }
            ]
        }
    ],
    "total": 1,
    "page": 1,
    "limit": 500
}
Modified at 2026-08-04 07:58:59
Previous
Obtain Access Token
Next
Retrieve Regular (Billable) Data
Built with